# -*- coding: utf-8 -*-
# $Id: __init__.py 47129 2007-08-13 11:07:55Z glenfant $

import sys
import logging

from AccessControl import ModuleSecurityInfo
from zope.i18nmessageid import MessageFactory

from Products.CMFCore import utils
from Products.CMFCore.DirectoryView import registerDirectory
from Products.Archetypes.public import process_types, listTypes

import content
from config import SKINS_DIR, GLOBALS, PROJECTNAME
from config import ADD_ALIAS_PERMISSION

logger = logging.getLogger(PROJECTNAME)

# Module aliases - we don't always get it right on the first try, but and we
# can't move modules around because things are stored in the ZODB with the
# full module path. However, we can create aliases for backwards compatability.
sys.modules['Products.SimpleAlias.Alias'] = content.alias

registerDirectory(SKINS_DIR, GLOBALS)

SimpleAliasMessageFactory = MessageFactory('simplealias')
ModuleSecurityInfo('Products.SimpleAlias').declarePublic('SimpleAliasMessageFactory')

def initialize(context):
    import Alias

    content_types, constructors, ftis = process_types(
        listTypes(PROJECTNAME),
        PROJECTNAME)

    utils.ContentInit(
        PROJECTNAME + ' Content',
        content_types      = content_types,
        permission         = ADD_ALIAS_PERMISSION,
        extra_constructors = constructors,
        fti                = ftis,
        ).initialize(context)

    from SimpleAliasTool import SimpleAliasTool
    utils.ToolInit(
        'SimpleAlias tool',
        tools=(SimpleAliasTool,),
        icon='tool.gif', ).initialize(context)

